Отрезок

From FreeCAD Documentation
The printable version is no longer supported and may have rendering errors. Please update your browser bookmarks and please use the default browser print function instead.
This page is a translated version of the page Part Line and the translation is 43% complete.

Линия

Системное название
Part Line
Расположение в меню
Деталь → Создать примитивы... → Линия
Верстаки
Part(Деталь), OpenSCAD
Быстрые клавиши
Нет
Представлено в версии
-
См. также
Примитивы

Описание

A Part Line is a parametric line that can be created with the Part Primitives command. The coordinates of its start and end point are relative to the coordinate system defined by its ДанныеPlacement property.

Применение

See Part Primitives.

Свойства

See also: Property editor.

A Part Line object is derived from a Part Feature object and inherits all its properties. It also has the following additional properties:

Данные

Attachment

The object has the same attachment properties as a Part Part2DObject.

Vertex 1 - Start

  • ДанныеX1 (Distance): The X coordinate of the start point of the line. The default is 0mm.
  • ДанныеY1 (Distance): The Y coordinate of the start point of the line. The default is 0mm.
  • ДанныеZ1 (Distance): The Z coordinate of the start point of the line. The default is 0mm.

Vertex 2 - Finish

  • ДанныеX2 (Distance): The X coordinate of the end point of the line. The default is 10mm.
  • ДанныеY2 (Distance): The Y coordinate of the end point of the line. The default is 10mm.
  • ДанныеZ2 (Distance): The Z coordinate of the end point of the line. The default is 10mm.

Программирование

See also: Autogenerated API documentation, Part scripting and FreeCAD Scripting Basics.

A Part Line can be created with the addObject() method of the document:

line = FreeCAD.ActiveDocument.addObject("Part::Line", "myLine")
  • Where "myLine" is the name for the object.
  • The function returns the newly created object.

Пример:

import FreeCAD as App

doc = App.activeDocument()

line = doc.addObject("Part::Line", "myLine")
line.X1 = 1
line.Y1 = 3
line.Z1 = 6
line.X2 = 2
line.Y2 = 3
line.Z2 = 9

doc.recompute()